summaryrefslogtreecommitdiff
path: root/configs/profile/root-image
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2019-12-29 04:27:51 -0500
committerbill-auger <mr.j.spam.me@gmail.com>2020-03-27 19:32:36 -0400
commit43e1c150f1a61d7d48ad22c1cf34018f42c7d19b (patch)
treedda4b488b373555d7e044379a13e1ec068f0e7b9 /configs/profile/root-image
parent0eddd34890ed4a88ecf65ee9f039540bcf363b9f (diff)
housekeeping
Diffstat (limited to 'configs/profile/root-image')
-rw-r--r--configs/profile/root-image/root/customize_root_image-constants.inc2
-rwxr-xr-xconfigs/profile/root-image/root/customize_root_image.sh4
2 files changed, 3 insertions, 3 deletions
diff --git a/configs/profile/root-image/root/customize_root_image-constants.inc b/configs/profile/root-image/root/customize_root_image-constants.inc
index 9831e0f..a3c992e 100644
--- a/configs/profile/root-image/root/customize_root_image-constants.inc
+++ b/configs/profile/root-image/root/customize_root_image-constants.inc
@@ -81,7 +81,7 @@ readonly OPENRC_USER_GROUPS="disk,sys"
[[ "${ISO_INIT}" == 'openrc' ]] && readonly LIVE_USER_GROUPS="${DEFAULT_USER_GROUPS},${OPENRC_USER_GROUPS}" ||
readonly LIVE_USER_GROUPS="${DEFAULT_USER_GROUPS}"
-readonly TITLE_REGEX="^(.+) - (.+) (.+)"
+readonly TITLE_REGEX="^(.+) - (.+) (.+)$"
readonly TITLE_ERROR_MSG="malformed ISO title:\n\t'${ISO_TITLE}'"
! [[ "${ISO_TITLE}" =~ ${TITLE_REGEX} ]] && echo -e "${TITLE_ERROR_MSG}" && exit 1
readonly OS_PRETTY_NAME="${BASH_REMATCH[ 1]}"
diff --git a/configs/profile/root-image/root/customize_root_image.sh b/configs/profile/root-image/root/customize_root_image.sh
index 32bca8b..8c2c066 100755
--- a/configs/profile/root-image/root/customize_root_image.sh
+++ b/configs/profile/root-image/root/customize_root_image.sh
@@ -39,8 +39,8 @@ then # delete files that are specific to other init systems
for service in ${OPENRC_SERVICES} ; do rc-update add ${service} default ; done ;
# create the 'dbus' group and user if they do not exist
- if ! grep 'dbus' /etc/group > /dev/null ; then groupadd -g 81 dbus ; fi ;
- if ! grep 'dbus' /etc/passwd > /dev/null ; then useradd -r -s /sbin/nologin -u 81 -g 81 dbus ; fi ;
+ if ! grep -q 'dbus' /etc/group ; then groupadd -g 81 dbus ; fi ;
+ if ! grep -q 'dbus' /etc/passwd ; then useradd -r -s /sbin/nologin -u 81 -g 81 dbus ; fi ;
elif [[ "${ISO_INIT}" == 'systemd' ]]
then # delete files that are specific to other init systems